=begin pod

=TITLE class X::Parameter::Placeholder

    class X::Parameter::Placeholder does X::Comp

Thrown when a placeholder parameter is used inside a signature where
a normal parameter is expected. The reason is often that a named parameter
C<:$param> was misspelled as C<$:param>.

For example

    sub f($:param) { }

produces

    ===SORRY!===
    In signature parameter, placeholder variables like $:param are illegal
    you probably meant a named parameter: ':$param'

=head1 Methods

=head2 parameter

The text of the offensive parameter declaration (C<$:param> in the example
above).

=head2 right

Suggestion on how to write the parameter declaration instead (C<:$param> in
the example above).


=end pod
